package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsElecLoadIndexMapper;
import com.ruoyi.ems.domain.AdmEmsElecLoadIndex;
import com.ruoyi.ems.service.IAdmEmsElecLoadIndexService;

/**
 * 电力负荷设施指标Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
@Service
public class AdmEmsElecLoadIndexServiceImpl implements IAdmEmsElecLoadIndexService 
{
    @Autowired
    private AdmEmsElecLoadIndexMapper admEmsElecLoadIndexMapper;

    /**
     * 查询电力负荷设施指标
     * 
     * @param id 电力负荷设施指标主键
     * @return 电力负荷设施指标
     */
    @Override
    public AdmEmsElecLoadIndex selectAdmEmsElecLoadIndexById(Long id)
    {
        return admEmsElecLoadIndexMapper.selectAdmEmsElecLoadIndexById(id);
    }

    /**
     * 查询电力负荷设施指标列表
     * 
     * @param admEmsElecLoadIndex 电力负荷设施指标
     * @return 电力负荷设施指标
     */
    @Override
    public List<AdmEmsElecLoadIndex> selectAdmEmsElecLoadIndexList(AdmEmsElecLoadIndex admEmsElecLoadIndex)
    {
        return admEmsElecLoadIndexMapper.selectAdmEmsElecLoadIndexList(admEmsElecLoadIndex);
    }

    /**
     * 新增电力负荷设施指标
     * 
     * @param admEmsElecLoadIndex 电力负荷设施指标
     * @return 结果
     */
    @Override
    public int insertAdmEmsElecLoadIndex(AdmEmsElecLoadIndex admEmsElecLoadIndex)
    {
        return admEmsElecLoadIndexMapper.insertAdmEmsElecLoadIndex(admEmsElecLoadIndex);
    }

    /**
     * 修改电力负荷设施指标
     * 
     * @param admEmsElecLoadIndex 电力负荷设施指标
     * @return 结果
     */
    @Override
    public int updateAdmEmsElecLoadIndex(AdmEmsElecLoadIndex admEmsElecLoadIndex)
    {
        return admEmsElecLoadIndexMapper.updateAdmEmsElecLoadIndex(admEmsElecLoadIndex);
    }

    /**
     * 批量删除电力负荷设施指标
     * 
     * @param ids 需要删除的电力负荷设施指标主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecLoadIndexByIds(Long[] ids)
    {
        return admEmsElecLoadIndexMapper.deleteAdmEmsElecLoadIndexByIds(ids);
    }

    /**
     * 删除电力负荷设施指标信息
     * 
     * @param id 电力负荷设施指标主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecLoadIndexById(Long id)
    {
        return admEmsElecLoadIndexMapper.deleteAdmEmsElecLoadIndexById(id);
    }
}
